| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | List of all members
Tp::Service::ChannelTypeRoomListAdaptor Class Reference
Service-side implementation » Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inheritance diagram for Tp::Service::ChannelTypeRoomListAdaptor:
[legend]

## Public Slots

bool | GetListingRooms (const QDBusMessage &dbusMessage)
void | ListRooms (const QDBusMessage &dbusMessage)
void | StopListing (const QDBusMessage &dbusMessage)

## Signals

void | GotRooms (const Tp::RoomInfoList &rooms)
void | ListingRooms (bool listing)

## Public Member Functions

QString | Server () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.RoomList".

## Member Function Documentation

QString Tp::Service::ChannelTypeRoomListAdaptor::Server | ( |  | ) | const

Return the value of the exported D-Bus object property `Server` of type `QString`.

Adaptees should export this property as a Qt property named 'server' with type QString.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server whose rooms are listed by this channel, e.g. "conference.jabber.org". Otherwise, the empty string. This property cannot change during the lifetime of the channel.

Returns
  The value of exported property `Server`.

bool Tp::Service::ChannelTypeRoomListAdaptor::GetListingRooms | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `GetListingRooms` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getListingRooms(const Tp::Service::ChannelTypeRoomListAdaptor::GetListingRoomsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Check to see if there is already a room list request in progress on this channel.

Returns

      A boolean indicating if room listing is in progress

void Tp::Service::ChannelTypeRoomListAdaptor::ListRooms | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `ListRooms` on this object.

Adaptees should export this method as a Qt slot with the following signature: void listRooms(const Tp::Service::ChannelTypeRoomListAdaptor::ListRoomsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request the list of rooms from the server. The ListingRooms (True) signal should be emitted when this request is being processed, GotRooms when any room information is received, and ListingRooms (False) when the request is complete.

void Tp::Service::ChannelTypeRoomListAdaptor::StopListing | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `StopListing` on this object.

Adaptees should export this method as a Qt slot with the following signature: void stopListing(const Tp::Service::ChannelTypeRoomListAdaptor::StopListingContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Stop the room listing if it's in progress, but don't close the channel. The ListingRooms (False) signal should be emitted when the listing stops.

void Tp::Service::ChannelTypeRoomListAdaptor::GotRooms | ( | const Tp::RoomInfoList & | rooms | ) |

signal

Represents the exported D-Bus signal `GotRooms` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void gotRooms(const Tp::RoomInfoList& rooms);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  rooms

  An array of structs containing:
  - an integer room handle
  - a string representing the D-Bus interface name of the channel type
  - a dictionary mapping string keys to variant boxed information

void Tp::Service::ChannelTypeRoomListAdaptor::ListingRooms | ( | bool | listing | ) |

signal

Represents the exported D-Bus signal `ListingRooms` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void listingRooms(bool listing);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  listing

      A boolean indicating if room listing is in progress